/* Phone changes */

@media (max-width: 768px) {
    header {
        gap: 2em;
        padding: 1.5em;
    }

    body {
        font-size: 0.85em;
    }

    #logo {
        max-width: none;
    }
    
    main {
        padding: 1.5em;
        max-width: 100%;
        margin: 0;
        background: none;
        border: none;
    }

    h1 {
        font-size: 2rem;
    }

    .icon {
        max-width: 1rem;
        max-height: 1rem;
    }

    .tile-icon {
        max-width: 3rem;
        max-height: 3rem;
    }

    #gallery-layout {
        flex-direction: column;
    }

    #left-pane {
        border: none;
        border-bottom: 1px solid var(--border);
        flex-direction: row;
        align-items: center;
        justify-content: space-evenly;
        align-self: center;
        width: 100%;
        gap: 0;
        padding: 0.5em;
        flex-wrap: wrap;
    }

    .photo-item img {
        height: 7em;
    }

    #about-text {
        flex-direction: column;
        padding: 1.5em;
    }

    #contacts {
        flex-direction: column;
    }

    #contacts li {
        padding: 1em;
    }

    #upper-section {
        flex-direction: column;
        gap: 1em;
    }

    #photo-left {
        max-width: none;
    }

    #info-right h1 {
        font-size: 2em;
        margin-bottom: 1.5em;
    }

    .services {
        flex-direction: column;
    }

    .service {
        width: 100%;
    }

    #about-content {
        flex-direction: column;
    }

    img.logo-img {
        width: 95%;
    }

    #hamburger {
        display: flex;
    }

    #header-nav {
        display: none; /* defaultně schovaný */
        flex-direction: column;
        gap: 0.5em;
        align-items: center;
        background: #181818;
        padding: 1em 2em;
        position: absolute;
        top: 20px;   
        right: 60px;
        border: 1px solid var(--border);
        border-radius: 1em;
        box-shadow: 0 4px 10px rgba(0,0,0,0.1);
        z-index: 999;
        font-style: normal;
        justify-content: center;
    }

    #header-nav.show {
        display: flex; /* když se otevře */
    }

    #rr-pages {
        flex-direction: column;
    }
    .rr-page {
        max-width: 90vw;
    }
}